Loading...
Searching...
No Matches
Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType > Class Template Reference

Refinement implementation for hypercubes More...

Inheritance diagram for Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >:

## Classes

struct | Codim
class | Codim< codimension >

## Public Types

typedef RefinementImp< dimension, CoordType > | Refinement
typedef Codim< dimension >::SubEntityIterator | VertexIterator
typedef FieldVector< CoordType, dimension > | CoordVector
typedef Codim< 0 >::SubEntityIterator | ElementIterator
typedef FieldVector< int,(1<< dimension)> | IndexVector

## Static Public Member Functions

static unsigned | nVertices (unsigned nIntervals)
static VertexIterator | vBegin (unsigned nIntervals)
static VertexIterator | vEnd (unsigned nIntervals)
static unsigned | nElements (unsigned nIntervals)
static ElementIterator | eBegin (unsigned nIntervals)
static ElementIterator | eEnd (unsigned nIntervals)

## Static Public Attributes

static constexpr int | dimension
| Know your own dimension.

## Detailed Description

template<int dimension_, class CoordType>
class Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >

Refinement implementation for hypercubes

Parameters

  dimension_ | Dimension of the refined hypercube
  CoordType | Coordinate type of the refined hypercube

The interface is the same as for Dune::StaticRefinement (apart from the template parameters).

## Member Typedef Documentation

## CoordVector

template<int dimension_, class CoordType>

typedef FieldVector<CoordType, dimension> Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >::CoordVector

## ElementIterator

template<int dimension_, class CoordType>

typedef Codim<0>::SubEntityIterator Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >::ElementIterator

## IndexVector

template<int dimension_, class CoordType>

typedef FieldVector<int, (1<<dimension)> Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >::IndexVector

## Refinement

template<int dimension_, class CoordType>

typedef RefinementImp<dimension, CoordType> Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >::Refinement

## VertexIterator

template<int dimension_, class CoordType>

typedef Codim<dimension>::SubEntityIterator Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >::VertexIterator

## Member Function Documentation

## eBegin()

template<int dimension, class CoordType>

RefinementImp< dimension, CoordType >::ElementIterator Dune::RefinementImp::HCube::RefinementImp< dimension, CoordType >::eBegin | ( | unsigned | nIntervals | ) |

static

## eEnd()

template<int dimension, class CoordType>

RefinementImp< dimension, CoordType >::ElementIterator Dune::RefinementImp::HCube::RefinementImp< dimension, CoordType >::eEnd | ( | unsigned | nIntervals | ) |

static

## nElements()

template<int dimension, class CoordType>

unsigned Dune::RefinementImp::HCube::RefinementImp< dimension, CoordType >::nElements | ( | unsigned | nIntervals | ) |

static

## nVertices()

template<int dimension, class CoordType>

unsigned Dune::RefinementImp::HCube::RefinementImp< dimension, CoordType >::nVertices | ( | unsigned | nIntervals | ) |

static

## vBegin()

template<int dimension, class CoordType>

RefinementImp< dimension, CoordType >::VertexIterator Dune::RefinementImp::HCube::RefinementImp< dimension, CoordType >::vBegin | ( | unsigned | nIntervals | ) |

static

## vEnd()

template<int dimension, class CoordType>

RefinementImp< dimension, CoordType >::VertexIterator Dune::RefinementImp::HCube::RefinementImp< dimension, CoordType >::vEnd | ( | unsigned | nIntervals | ) |

static

## Member Data Documentation

## dimension

template<int dimension_, class CoordType>

int Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >::dimension

static constexpr

Know your own dimension.

The documentation for this class was generated from the following file:

- hcube.cc